/*
 * Copyright 2005, 2006 University of Leiden.
 *
 * This file is part of MIA+EWS.
 *
 * MIA+EWS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MIA+EWS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MIA; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
/*******************************************************************************
* MPIA, NEVEC - MIDI project
*
* "@(#) $Id: table_col.c,v 1.4 2002/05/08 21:34:35 jdejong Exp $"
*
* who        when      what
* ---------  --------  ----------------------------------------------
* jdejong    2002-05-08 imported
*
*/
/* $Id: table_col.c,v 1.4 2002/05/08 21:34:35 jdejong Exp $ */
#define _POSIX_SOURCE_1
#include "vltPort.h"

/*----------------------------------------------------------------------- */
/* table column FITS binary tables routines for the VLTI interferometer   */
/*----------------------------------------------------------------------- */
#include <malloc.h>
#include <string.h>
#include "VLTItable.h"

table_col* make_table_col(void* tdata)
/*----------------------------------------------------------------------- */
/*   Make a table_col object                                              */
/*   Inputs:                                                              */
/*      tdata      Column data array                                      */
/*   Returns:                                                             */
/*      New table_col structure; NULL -> failed                           */
/*----------------------------------------------------------------------- */
{
  table_col* out = (table_col*) malloc(sizeof(table_col));
  if (out==NULL) return out;  /* check allocation */
  out->tdata.tvoid = tdata;
  return out;
} /* end make_table_col*/

void kill_table_col(table_col* col)
/*----------------------------------------------------------------------- */
/*   Destroy a table_obj object                                           */
/*   Inputs:                                                              */
/*      table_obj  Object to destroy                                      */
/*----------------------------------------------------------------------- */
{
  if (col==NULL) return; /* validity check */
  if (col->tdata.tvoid!=NULL) free(col->tdata.tvoid); /* data array */
  free (col);            /* free storage */
} /* end kill_table_col*/

/* */
